at.chipkarte.client.ebs.soap

## Class BeantragteLeistung

- Object
- - at.chipkarte.client.ebs.soap.BeantragteLeistung

-     public class BeantragteLeistung
      extends Object

  Dient der Ausgabe von beantragten Leistungen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeantragteLeistung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeantragungsposition()` Eindeutige Positionsnummer der beantragten Leistung innerhalb des Antrages.
    `Katalogleistung` | `getKatalogleistung()` Beantragte Katalogleistung.
    `String` | `getKoerperregion()` Körperregion inklusive Seitenangabe.
    `String` | `getKontrastmittel()` Verwendung eines Kontrastmittels.
    `String` | `getLeistungfreitext()` Leistung als Freitext.
    `String` | `getLeistungfreitextgrund()` Begründung für die Freitextangabe.
    `String` | `getSeite()` Seite der beantragten Leistung.
    `MedizinischeDatenerweiterung[]` | `getWeitereMedizinischeDaten()` Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten.
    `void` | `setBeantragungsposition(String beantragungsposition)`
    `void` | `setKatalogleistung(Katalogleistung katalogleistung)`
    `void` | `setKoerperregion(String koerperregion)`
    `void` | `setKontrastmittel(String kontrastmittel)`
    `void` | `setLeistungfreitext(String leistungfreitext)`
    `void` | `setLeistungfreitextgrund(String leistungfreitextgrund)`
    `void` | `setSeite(String seite)`
    `void` | `setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeantragteLeistung

          public BeantragteLeistung()

  - ### Method Detail

    - #### getBeantragungsposition

          public String getBeantragungsposition()

      Eindeutige Positionsnummer der beantragten Leistung innerhalb des Antrages.
      Angabe: Muss.
      Format: 1-stellig
      Returns:
        Beantragungsposition.

    - #### setBeantragungsposition

          public void setBeantragungsposition(String beantragungsposition)

    - #### getKatalogleistung

          public Katalogleistung getKatalogleistung()

      Beantragte Katalogleistung. Siehe `Katalogleistung`.
      Angabe: Bedingt. Entweder eine Katalogleistung oder eine Freitextleistung ist angegeben.
      Returns:
        Katalogleistung.

    - #### setKatalogleistung

          public void setKatalogleistung(Katalogleistung katalogleistung)

    - #### getLeistungfreitext

          public String getLeistungfreitext()

      Leistung als Freitext.
      Angabe: Bedingt. Entweder eine Katalogleistung oder eine Freitextleistung ist angegeben.
      Format: 100-stellig
      Returns:
        Leistungfreitext.

    - #### setLeistungfreitext

          public void setLeistungfreitext(String leistungfreitext)

    - #### getLeistungfreitextgrund

          public String getLeistungfreitextgrund()

      Begründung für die Freitextangabe.
      Angabe: Bedingt. Ist angegeben wenn eine Freitextleistung angegeben wurde.
      Format: 100-stellig
      Returns:
        Leistungfreitextgrund.

    - #### setLeistungfreitextgrund

          public void setLeistungfreitextgrund(String leistungfreitextgrund)

    - #### getSeite

          public String getSeite()

      Seite der beantragten Leistung.
      Mögliche Werte siehe `SeiteTypConstants`.
      Angabe: Kann. Nur möglich bei Leistungen für die Antragstypen CT, MR, KDM und ROEU.
      Returns:
        Seite.

    - #### setSeite

          public void setSeite(String seite)

    - #### getWeitereMedizinischeDaten

          public MedizinischeDatenerweiterung[] getWeitereMedizinischeDaten()

      Weitere medizinische Informationen, die aufgrund unterschiedlicher Schnittstellenversionen zwischen Erstellung und Abfrage nicht als eigenes Attribut übermittelt werden könnten. Wird nur vom Service versorgt. Siehe `MedizinischeDatenerweiterung`.
      Angabe: Kann.
      0 bis n Elemente.
      Returns:
        WeitereMedizinischeDaten.

    - #### setWeitereMedizinischeDaten

          public void setWeitereMedizinischeDaten(MedizinischeDatenerweiterung[] weitereMedizinischeDaten)

    - #### getKontrastmittel

          public String getKontrastmittel()

      Verwendung eines Kontrastmittels.
      Mögliche Werte siehe `KennzeichenJaKeineAngabeTypConstants`.
      Angabe: Kann. Nur möglich bei Leistungen für die Antragstypen CT, MR und ROEU.
      Returns:
        Kontrastmittel.

    - #### setKontrastmittel

          public void setKontrastmittel(String kontrastmittel)

    - #### getKoerperregion

          public String getKoerperregion()

      Körperregion inklusive Seitenangabe.
      Angabe: Kann. Nur möglich bei Leistungen für den Antragstyp ROET.
      Format: 100-stellig
      Returns:
        Koerperregion.

    - #### setKoerperregion

          public void setKoerperregion(String koerperregion)